# Imagick::newImage

(PECL imagick 2.0.0)

Imagick::newImage — Creates a new image

### Description

Imagick::newImage ( int `$cols` , int `$rows` , mixed `$background` [, string `$format` ] ) : bool

Creates a new image and associates ImagickPixel value as background color

### Parameters

`cols`

  Columns in the new image

`rows`

  Rows in the new image

`background`

  The background color used for this image

`format`

  Image format. This parameter was added in Imagick version 2.0.1.

### Return Values

Returns `TRUE` on success.

### Errors/Exceptions

Throws ImagickException on error.

### Changelog

Version | Description
--- | ---
2.1.0 | Now allows a string representing the color as the third parameter. Previous versions allow only an ImagickPixel object.

### Examples

Example #1 Using Imagick::newImage():

Create a new image and display it.

`<?php
$image = new Imagick();
$image->newImage(100, 100, new ImagickPixel('red'));
$image->setImageFormat('png');
header('Content-type: image/png');
echo $image;
?>`